/*
This software and its source code is in the Public Domain.
Use at your own risk.

FixWiFi fixes a problem with some recent PalmOS PDAs that
do not allow you to start typing in some text fields 
immediately, but require an extra tap.  To install, 
just hotsync FixWiFi. You can run it to turn on and 
off.  Turn off before deleting.
*/


#ifndef _FIXWIFI_H
#define _FIXWIFI_H

#include "FixWiFi_Res.h"
#include "sects.h"
#include "resident.h"

#define Get( f ) ( ( errNone == FtrGet( appCreator, ( f ), &( tempValue ) ) ) ? tempValue : 0 )
#define Set( f, v ) FtrSet( appCreator, ( f ), ( UInt32 )( v ) )

#define FTR_RESIDENT_CODE      1000
#define FTR_RESIDENT_DATA      1001
#define FTR_TIMER_STOP         1002

#define MemZero( p, s ) MemSet( ( p ), ( s ), 0 )

#endif
